import {Database} from "../database.js"
import {InMemoryUsersTable} from "./users.js"

export class InMemoryDatabase implements Database {
    readonly users: InMemoryUsersTable

    constructor() {
        this.users = new InMemoryUsersTable()
    }
}